clc
clear all
close all

%All measures relative to SIW 1 MODE hfss project

s = 0.75e-2; %longitudinal spacing
d = 5e-3;    %diameter

l = linspace(0,10.5e-3,10000);
m = 1;
n = 0;
er = 6;
c = 3e8;
f = 20e9;
e0 = 8.85e-12;
mu0 = (4e-7)*pi;
lambda = c/f;

k = 2*pi*sqrt(er)/lambda;
a = 26.4e-3;
b = 10.16e-3;

a_eff = a - (d^2/(0.95*s));
b_eff = b;
etha = sqrt(mu0/e0);
beta = sqrt(k^2-(m*pi/a_eff)^2-(n*pi/b_eff)^2)

Z_TE = k*etha/beta;

plot(l,(-2*beta*l)*180/pi)
%% Calculo de tamao en una WG


fc = 29.8e9 ;

%Substrato Rogers TMM6

er = 6;
tandelta = 0.0023;
mu = mu0;
ep = e0*er*(1-i*tandelta);



a = 1/(2*sqrt(mu*ep)*fc)



